import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.sql.Types;

import quadbase.ChartAPI.ColInfo;
import quadbase.ChartAPI.QbChart;
import quadbase.util.SimpleQueryFileInfo;
import quadbase.util.SimpleQueryMultiValueInParam;

public class MultiValueParameterizedChart extends Applet {
	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {
		try {
			MultiValueParameterizedChart doChart = new MultiValueParameterizedChart();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", doChart.doMultiValueParameter(null));
			frame.setSize(500, 500);
			frame.setVisible(true);
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doMultiValueParameter(this));
	}

	 Component doMultiValueParameter(Applet applet) {

         // Connect to ERES Server
         QbChart.useServlet(true);
         QbChart.setServletRunner("http://localhost:8080");
         QbChart.setServletContext("ERES/servlet");

         // Begin Code : Adding Parameter Info
         SimpleQueryMultiValueInParam inParam = new SimpleQueryMultiValueInParam("param",
                                                   "Please select", true,
                                                   "Categories", "CategoryName", Types.VARCHAR,
                                                   "Arm Chairs", null);

         SimpleQueryMultiValueInParam[] paramSet = {inParam};
         SimpleQueryFileInfo chartInfo = new SimpleQueryFileInfo("jdbc:hsqldb:help/examples/DataSources/database/woodview", "org.hsqldb.jdbcDriver", "sa", "",
                                                   "select Products.ProductName, Products.UnitsInStock from Categories, Products where Categories.CategoryID=Products.CategoryID and Categories.CategoryName in(:param) order by Categories.CategoryName, Products.ProductName;");
         chartInfo.setInParam(paramSet);

         // End Code : Adding Parameter Info

         // Begin Code : Setting up Column Mapping
         ColInfo colInfo = new ColInfo();
         colInfo.category = 0;
         colInfo.value = 1;
         // End Code : Setting up Column Mapping

         QbChart chart = new QbChart(applet, QbChart.VIEW2D, QbChart.PIE, chartInfo, colInfo, null);

         return chart;
   }

}
